void keyPressed() 
{
  if (key == 's')
  {
    enableStat = !enableStat;
  }
  
  if (key == 'g')
  {
    enableGrid = !enableGrid;
  }
  
  if (key == 'l')
  {
    enableStroke = !enableStroke;
  }
  
  //Up: 38, Down: 40
  if (key == 'c')
  {
    keyIndex = constrain(keyIndex + 1, 0, 9);
    palette = (color[])cArray.get(keyIndex);
  }

  if (key == 'x')
  {
    keyIndex = constrain(keyIndex - 1, 0, 9);
    palette = (color[])cArray.get(keyIndex);
  }
  
  if (key == '1')
  {
    cam.setYawRotationMode();   // like spinning a globe
  }
  if (key == '2')
  {
    cam.setPitchRotationMode(); // like a somersault
  }
  if (key == '3')
  {
    cam.setRollRotationMode();  // like a radio knob
  }
  if (key == '4')
  {
    cam.setSuppressRollRotationMode();  // Permit pitch/yaw only.
  }
  
  if (key == 'p')
  {
    enablePyramid = !enablePyramid;
  }
  
  if (key == 'd')
  {
    enableDewey = !enableDewey;
  }
}

